For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profile Subscriptions

Browser push notification subscriptions (deprecated - no longer in active use).

Deprecated

Get push subscriptions (deprecated)

get
/profiles/subscriptions

Returns browser push notification subscriptions for the authenticated user. This endpoint is deprecated and no longer actively used.

Responses
200

List of subscriptions

application/json
okbooleanOptional
get/profiles/subscriptions
GET /api/profiles/subscriptions HTTP/1.1
Host: events.decentraland.org
Accept: */*
{
  "ok": true
}
Deprecated

Create push subscription (deprecated)

post
/profiles/subscriptions

Creates a browser push notification subscription. This endpoint is deprecated and no longer actively used.

Body

Schema for creating a push subscription (deprecated)

endpointstring · uriRequired
p256dhstringRequired
authstringRequired
Responses
200

Subscription created

application/json
okbooleanOptionalExample: true
databooleanOptionalExample: true
post/profiles/subscriptions
POST /api/profiles/subscriptions HTTP/1.1
Host: events.decentraland.org
Content-Type: application/json
Accept: */*
{
  "ok": true,
  "data": true
}
Deprecated

Delete push subscriptions (deprecated)

delete
/profiles/subscriptions

Removes all browser push notification subscriptions for the authenticated user. This endpoint is deprecated and no longer actively used.

Responses
200

Subscriptions deleted

application/json
okbooleanOptionalExample: true
databooleanOptionalExample: true
delete/profiles/subscriptions
DELETE /api/profiles/subscriptions HTTP/1.1
Host: events.decentraland.org
Accept: */*
{
  "ok": true,
  "data": true
}

Last updated